package com.gx.obe.management.action;

import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Composite;

import com.gx.obe.action.bean.Action;
import com.gx.obe.action.listener.ActionListener;
import com.gx.obe.management.composite.EnterVideoMeetingComposite;

/**
 * @Description: 进入视频会议
 * @author wangx
 */
public class VideoMeetingAction extends Action{

	@Override
	public void run() {
		ActionListener listener = this.getListener();
		listener.onLoad(this);
		Composite parent = listener.getParentComposite();
		EnterVideoMeetingComposite enterVideoMeetingComposite = new EnterVideoMeetingComposite(parent, this, SWT.NONE);
		listener.loadComposite(this, enterVideoMeetingComposite);
		
	}

}
